Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.launcher.util
Class ObservableList.ObservableListIterator

    java.lang.Object
      org.mule.module.launcher.util.ObservableList.ObservableListIterator

All Implemented Interfaces:
  Iterator<E>, ListIterator<E>

Enclosing class:
  ObservableList<E>

    protected class ObservableList.ObservableListIterator

extends Object
implements ListIterator<E>

Constructor Summary
`ObservableList.ObservableListIterator(ListIterator<E> iterDelegate, int index)`

Method Summary
`void` | `add(E o)`
`ListIterator<E>` | `getListIterator()`
`boolean` | `hasPrevious()`
`int` | `nextIndex()`
`E` | `previous()`
`int` | `previousIndex()`
`void` | `set(E e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.ListIterator
`hasNext, next, remove`

Constructor Detail

### ObservableList.ObservableListIterator

    public ObservableList.ObservableListIterator(ListIterator<E> iterDelegate,
                                                 int index)

Method Detail

### getListIterator

    public ListIterator<E> getListIterator()

### add

    public void add(E o)

  Specified by:
    `add` in interface `ListIterator<E>`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `ListIterator<E>`

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `ListIterator<E>`

### previous

    public E previous()

  Specified by:
    `previous` in interface `ListIterator<E>`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `ListIterator<E>`

### set

    public void set(E e)

  Specified by:
    `set` in interface `ListIterator<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.